petsc-3.4.2 2013-07-02

# ClassPerfLogEnsureSize

This ensures that a PetscClassPerfLog is at least of a certain size.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode ClassPerfLogEnsureSize(PetscClassPerfLog classLog, int size)

Not collective

### Input Paramters

| classLog | - The PetscClassPerfLog
| size | - The size

### Keywords

log, class, size, ensure

### See Also

ClassPerfLogCreate()

Level:developer
Location:src/sys/logging/utils/classlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages